### Method

# Gimp Procedure add_palette_argument

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_add_palette_argument (
      GimpProcedure* procedure,
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean none_ok,
      GimpPalette* default_value,
      gboolean default_to_context,
      GParamFlags flags
    )

#### Description [src]

Add a new `GimpPalette` argument to `procedure`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the argument to be created.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  The label used in `GimpProcedureDialog`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  A more detailed help description.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`none_ok`

  Type: `gboolean`

  Whether `NULL` is a valid value.

`default_value`

  Type: `GimpPalette`

  Default value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`default_to_context`

  Type: `gboolean`

  Use the context’s palette as default value.

`flags`

  Type: `GParamFlags`

  Argument flags.